I have a user-agent related issues in chrome

Im facing this text in my chrome console
( 1. Audit usage of navigator.userAgent, navigator.appVersion, and navigator.platform

  1. A page or script is accessing at least one of navigator.userAgent , navigator.appVersion , and navigator.platform . In a future version of Chrome, the amount of information available in the User Agent string will be reduced.

To fix this issue, replace the usage of navigator.userAgent , navigator.appVersion , and navigator.platform with feature detection, progressive enhancement, or migrate to navigator.userAgentData .

Note that for performance reasons, only the first access to one of the properties is shown.)

This warning from Chrome should only affect you if you are the author of the web page and scripts in question, i.e. it’s informing you that in the nearby future some of these attributes/properties will be deprecated and that you should tweak your scripts accordingly.

If these warnings pertain to web pages created by others, you should simply ignore them.